judy_version
Introduction
Other Basic Extensions
PHP Manual

# Lua

Table of Contents

- Introduction
- Installing/Configuring
  - Requirements
  - Installation
  - Runtime Configuration
  - Resource Types
- Lua — The Lua class
  - Lua::assign — Assign a PHP variable to Lua
  - Lua::call — Call Lua functions
  - Lua::__construct — Lua constructor
  - Lua::eval — Evaluate a string as Lua code
  - Lua::getVersion — The getversion purpose
  - Lua::include — Parse a Lua script file
  - Lua::registerCallback — Register a PHP function to Lua
- LuaClosure — The LuaClosure class
  - LuaClosure::__invoke — invoke luaclosure

# The Lua class

## Introduction

## Class synopsis

Lua
class Lua {
/* Constants */
const string Lua::LUA_VERSION = Lua 5.1.4 ;
/* Methods */
public mixed assign ( string `$name` , string `$value` )
public mixed call ( callable `$lua_func` [, array `$args` [, int `$use_self` = 0 ]] )
public mixed __call ( callable `$lua_func` [, array `$args` [, int `$use_self` = 0 ]] )
public __construct ( string `$lua_script_file` = NULL )
public mixed eval ( string `$statements` )
public string getVersion ( void )
public mixed include ( string `$file` )
public mixed registerCallback ( string `$name` , callable `$function` )
}

## Predefined Constants

`Lua::LUA_VERSION`

# The LuaClosure class

## Introduction

LuaClosure is a wrapper class for LUA_TFUNCTION which could be return from calling to Lua function.

## Class synopsis

LuaClosure
class LuaClosure {
/* Methods */
public void __invoke ( mixed `$arg` [, mixed `$...` ] )
}